Bug 1736119 - mingw-icu: FTBFS in Fedora rawhide/f31 [NEEDINFO]
Summary: mingw-icu: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-icu
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paweł Forysiuk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 14:48 UTC by Fedora Release Engineering
Modified: 2019-10-02 00:46 UTC (History)
4 users (show)

Fixed In Version: mingw-icu-64.2-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-02 00:46:37 UTC
Type: ---
releng: needinfo? (tuxator)


Attachments (Terms of Use)
build.log (6.96 KB, text/plain)
2019-08-01 14:48 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 14:48 UTC, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2019-08-01 14:48 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 14:48:16 UTC
mingw-icu failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36635544


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix mingw-icu at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
mingw-icu will be orphaned. Before branching of Fedora 32,
mingw-icu will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 14:48:19 UTC
Created attachment 1597755 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-01 14:48:21 UTC
Created attachment 1597756 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 14:48:29 UTC
Created attachment 1597757 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 17:06:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:30:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Fedora Release Engineering 2019-09-22 04:30:52 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 7 Fabiano Fidêncio 2019-09-23 09:24:21 UTC
This package builds!
Take a look at: https://koji.fedoraproject.org/koji/taskinfo?taskID=37820150.

Please, if you have the rights (which I do not), just fire a build with the current f31 and master branches. The build will pass.

Comment 8 Richard W.M. Jones 2019-09-23 09:30:35 UTC
Rawhide build: https://koji.fedoraproject.org/koji/taskinfo?taskID=37820400

Comment 9 Richard W.M. Jones 2019-09-23 09:32:53 UTC
Ignore that previous comment.  Correct links are:

Rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=37820444
F31: https://koji.fedoraproject.org/koji/taskinfo?taskID=37820448

Comment 10 Fedora Update System 2019-09-23 09:48:57 UTC
FEDORA-2019-f54e00c68d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f54e00c68d

Comment 11 Fedora Update System 2019-09-24 01:23:50 UTC
mingw-icu-64.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f54e00c68d

Comment 12 Fedora Update System 2019-10-02 00:46:37 UTC
mingw-icu-64.2-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.